@echo off
rem Announce ourselves
echo ͻ
echo                Wireplay Installer version 1.0                           
echo ͼ
echo.
rem *******
rem Notes: This install script replaces the original Wireplay files with an
rem updated set from the installation media. It preserves any .INI files,
rem then adds an additional parameter to the WIREPLAY.INI file.
rem A check is made for the version marker file 15H.VER. This prevents
rem multiple installations from destroying WIREPLAY.INI
rem *******

rem Check we are currently on the install media (look for unique file)
if exist .\ini\wireplay.upd goto args
echo Please change to the installation drive letter and run INSTALL again.
goto done

rem Check args
:args
if not %1x == x goto userDir

rem If default directory does not exist, give usage
set WPDIR=C:\WIREPLAY
if exist %WPDIR%\NUL goto chkIt
echo Please specify where Wireplay is to be installed on your hard disk by typing
echo "install [path]" (the default is C:\WIREPLAY).
goto done

rem If specified directory does not exist, create it (maybe)
:userDir
set WPDIR=%1
if exist %WPDIR%\NUL goto chkIt
echo Directory "%WPDIR%" does not exist.
echo If you wish to create it press a key, otherwise press Ctrl-C..
pause >NUL
mkdir %WPDIR%
mkdir %WPDIR%\HELP
goto doIt

:chkIt
echo Installing to "%WPDIR%".
echo If this is OK press a key, otherwise press Ctrl-C..
pause >NUL

rem Upgrade the software
:doIt
echo Preserving Wireplay INI files (if any)..
if exist %WPDIR%\15H.VER attrib +r %WPDIR%\15H.VER
for %%f in (%WPDIR%\*.INI) do attrib +r %%f

echo Removing original Wireplay files (if any)..
if exist (%WPDIR%\*.*) del %WPDIR%\*.*
if exist (%WPDIR%\HELP\*.*) del %WPDIR%\HELP\*.*
if exist %WPDIR%\15H.VER attrib -r %WPDIR%\15H.VER
for %%f in (%WPDIR%\*.INI) do attrib -r %%f

echo Copying new software from CD-Rom..
copy WIREPLAY\*.* %WPDIR% /v
copy WIREPLAY\HELP\*.* %WPDIR%\HELP /v
if not exist %WPDIR%\WIREPLAY.INI copy INI\WIREPLAY.INI %WPDIR% /v >NUL
if not exist %WPDIR%\USERS.INI copy INI\USERS.INI %WPDIR% /v >NUL

rem Check here to prevent multiple updates
if exist %WPDIR%\15H.VER goto noUp
echo Updating Wireplay.ini..
type INI\WIREPLAY.UPD >> %WPDIR%\WIREPLAY.INI
echo This is version 1.5H>%WPDIR%\15H.VER
:noUp

echo Install complete!

:done
set WPDIR=
echo.
